package com.bocloud.cmp.provider.kubernetes;

import com.bocloud.cmp.model.kubernetes.PersistentVolumeModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * k8s PersistentVolume
 *
 * @时间 2019年8月21日
 */
public interface PersistentVolumeProvider extends SuperProvider {
    public BocloudResult list();

    public BocloudResult create(PersistentVolumeModel model);

    public BocloudResult remove(PersistentVolumeModel model);

    public BocloudResult detail(PersistentVolumeModel model);

    public BocloudResult modify(PersistentVolumeModel model);
}
